Bug 564864

Summary: FTBFS xwxapt-1.2-3.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: xwxaptAssignee: Randall "Randy" Berry <randyn3lrx>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: randyn3lrx
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: xwxapt-1.2-4.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-06 03:00:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 564245, 583275    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 12:09:05 EST
xwxapt-1.2-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:09:12 EST
Created attachment 392167 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:09:14 EST
Created attachment 392168 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:09:15 EST
Created attachment 392169 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:09:16 EST
Created attachment 392170 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:09:17 EST
Created attachment 392171 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:09:19 EST
Created attachment 392172 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:44:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Randall "Randy" Berry 2010-04-18 16:40:39 EDT
This has got me stumped. Even after reading the wiki entries on the subject I am still confused. Any suggestions on how to resolve this issue would be greatly appreciated.
Comment 9 Fedora Update System 2010-04-22 14:16:27 EDT
xwxapt-1.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xwxapt-1.2-4.fc13
Comment 10 Fedora Update System 2010-04-23 02:08:14 EDT
xwxapt-1.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xwxapt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xwxapt-1.2-4.fc13
Comment 11 Fedora Update System 2010-05-06 03:00:34 EDT
xwxapt-1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.